This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477732 - Review Request: xfconf - Hierarchical configuration system for Xfce
Review Request: xfconf - Hierarchical configuration system for Xfce
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 00:29 EST by Kevin Fenzi
Modified: 2009-01-12 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 21:23:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-12-23 00:29:17 EST
Spec URL: http://www.scrye.com/~kevin/fedora/xfconf/xfconf.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/xfconf/xfconf-4.5.92-1.fc11.src.rpm
Description: 

Xfconf is a hierarchical (tree-like) configuration system where the
immediate child nodes of the root are called "channels".  All settings
beneath the channel nodes are called "properties."

Several things of note: 

This package requires libxfce4util-4.5.92 to build. There is a copy of this src.rpm in:
http://www.scrye.com/~kevin/fedora/xfconf/libxfce4util-4.5.92-1.fc11.src.rpm

rpmlint has some nasty things to say about the perl subpackage: 
xfconf-perl.x86_64: W: perl-temp-file /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/perllocal.pod
xfconf-perl.x86_64: E: zero-length /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.bs
xfconf-perl.x86_64: W: hidden-file-or-dir /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist
xfconf-perl.x86_64: W: perl-temp-file /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist
xfconf-perl.x86_64: E: non-standard-executable-perm /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.so 0555
xfconf-perl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl-autogen.h
xfconf-perl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl.h

I am open to suggestion on how to clean those up. 
Are the .packlist files needed? Is mode 555 really bad for a perl shared module?
Should I really make a perl-devel subpackage for 2 files?
Comment 1 Kevin Fenzi 2008-12-23 01:30:39 EST
Oops. I forgot to include gettext. 

Updated spec and src.rpm: 

Spec URL: http://www.scrye.com/~kevin/fedora/xfconf/xfconf.spec
SRPM URL:
http://www.scrye.com/~kevin/fedora/xfconf/xfconf-4.5.92-2.fc11.src.rpm
Comment 2 Marcela Mašláňová 2008-12-23 07:34:02 EST
OK source files match upstream: 1ca682571554c7704f4c09398b74529d
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field GPLv2 matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is ok:
xfconf-devel.x86_64: W: no-documentation
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK scriptlets ok.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

xfconf-perl.x86_64: W: perl-temp-file /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/perllocal.pod
I'm not sure what to do with this file. I have on my computer in perllocal.pod only log from modules installed in /usr/local. So probably you should remove this file from your package.

xfconf-perl.x86_64: E: zero-length /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.bs
If it's config file, you should mark it like config.

xfconf-perl.x86_64: W: hidden-file-or-dir /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist
xfconf-perl.x86_64: W: perl-temp-file /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist
You should add into spec the same line as Perl packages have:
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

xfconf-perl.x86_64: E: non-standard-executable-perm /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.so 0555
The other perl *.so have permission 0755.

xfconf-perl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl-autogen.h
xfconf-perl.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl.h
In guidelines are no exception. You should create devel package.
Comment 3 Mamoru TASAKA 2008-12-23 07:56:04 EST
(In reply to comment #2)
> xfconf-perl.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl-autogen.h
> xfconf-perl.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl.h
> In guidelines are no exception. You should create devel package.

perl has this exception:
https://fedoraproject.org/wiki/Packaging/Perl#.h_files_in_module_packages
Comment 4 Marcela Mašláňová 2008-12-23 08:20:07 EST
I forgot mention that you need review for libxfce4util-4.5.92 first.
Comment 5 Kevin Fenzi 2008-12-23 12:03:34 EST
Hey Marcela. Thank you for the quick review!

>I forgot mention that you need review for libxfce4util-4.5.92 first.

libxfce4util is already in fedora, it's just that this package needs the version from the Xfce 4.6 beta2 release. I am planning on updating it in rawhide, but wanted to get the new packages reviewed first so I can push all of 4.6b2 out the same day to avoid broken deps. 

>xfconf-perl.x86_64: W: perl-temp-file
>/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/perllocal.pod
>I'm not sure what to do with this file. I have on my computer in perllocal.pod
>only log from modules installed in /usr/local. So probably you should remove
>this file from your package.

Yes, I will remove it. 

>xfconf-perl.x86_64: E: zero-length
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.bs
>If it's config file, you should mark it like config.

Some more digging around and it seems this is a dynloader bootstrap file. 
It's not needed if it's 0 length. 
http://www.perlmonks.org/?node_id=728926
I will remove it. 

>xfconf-perl.x86_64: W: hidden-file-or-dir
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist
>xfconf-perl.x86_64: W: perl-temp-file
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/.packlist

>You should add into spec the same line as Perl packages have:
>find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

Done.

>xfconf-perl.x86_64: E: non-standard-executable-perm
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Xfce4/Xfconf/Xfconf.so
>0555
>The other perl *.so have permission 0755.

ok. Changed to 0755. 

>xfconf-perl.x86_64: W: devel-file-in-non-devel-package
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl-autogen.h
>xfconf-perl.x86_64: W: devel-file-in-non-devel-package
>/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/Xfce4/Xfconf/Install/xfconfperl.h
>In guidelines are no exception. You should create devel package.

>perl has this exception:
>https://fedoraproject.org/wiki/Packaging/Perl#.h_files_in_module_packages

Thanks for spotting that Mamoru. So, I will leave these .h files and not make a devel subpackage here. 

new spec and src.rpm: 

Spec URL: http://www.scrye.com/~kevin/fedora/xfconf/xfconf.spec
SRPM URL:
http://www.scrye.com/~kevin/fedora/xfconf/xfconf-4.5.92-3.fc11.src.rpm
Comment 6 Kevin Fenzi 2009-01-02 15:38:35 EST
Hey Marcela. Any chance to look over the comments and spec from comment #5?
Comment 7 Marcela Mašláňová 2009-01-05 02:44:50 EST
I found here typo in summary:
%package devel
Summary: Developpment tools for xfconf

Everything else looks all right.
ACCEPTED
Comment 8 Kevin Fenzi 2009-01-11 11:38:14 EST
Thanks!

Package Name: xfconf
Short Description: Hierarchical configuration system for Xfce
Owners: kevin
Branches: devel
InitialCC:
Comment 9 Kevin Fenzi 2009-01-11 11:58:13 EST
cvs done.
Comment 10 Marcela Mašláňová 2009-01-12 07:41:33 EST
ping?
Comment 11 Kevin Fenzi 2009-01-12 13:10:21 EST
Yes? I was at fudcon this weekend, and intend to import and build this sometime soon this week time permitting. 

I need to first build the new libxfce4util package. 
Sorry for any delay.
Comment 12 Kevin Fenzi 2009-01-12 21:23:56 EST
Imported and built into the dist-f11-xfce tag. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1048289

Closing this now. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.